Update variant
Updates an existing variant. You can also look up the variant by sku instead of id
by passing ?sku=YOUR_SKU as a query parameter. Requires admin scope.
/shops/{shop_id}/variants/{id}AuthorizationBearer token (JWT) · headerrequiredOAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.
adminshop_idstringrequiredShop ID or subdomain
idstringrequiredVariant ID (or any value when using ?sku= lookup)
skustringLook up variant by SKU instead of ID
application/jsontitlestringRequired on create
positionintegerOrdering position (lower comes first). On a chained-variants product, omitting it on create defaults to the current highest position instead of 0.
skustringMust be unique within the shop
stockintegeravailable_if_no_stockinteger1 = always available, 0 = unavailable when out of stock
01weight_in_gramsintegerpriceintegerOverride product price for this variant (cents)
price_comparisonintegerOverride comparison price for this variant (cents)
Variant updated
idintegertitlestringpositionintegerskustring | nullpriceintegerprice_comparisoninteger | nullstockintegeravailable_if_no_stockbooleanweight_in_gramsinteger_linksobjectValidation errors
_classstring[]_embeddedobjectShow propertiesHide properties
errorsobject[]Show propertiesHide properties
object_classstring[]fieldstringmessagesstring[]